﻿using Kivii;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Njhg.Third.Semir.Entities
{
    [Api(Description = "森马订单")]
    public partial class SemirOrder : SemirOrderBase
    {
        #region 实体
        /// <summary>
        /// ID
        /// </summary>
        [ApiMember(Description = "ID")]
        public string ID { get; set; }

        /// <summary>
        /// 委托书编号
        /// </summary>
        [ApiMember(Description = "委托书编号")]
        public string DOC_NO { get; set; }

        /// <summary>
        /// 样品描述
        /// </summary>
        [ApiMember(Description = "样品描述")]
        public string MAT_NAME { get; set; }

        /// <summary>
        /// 款号
        /// </summary>
        [ApiMember(Description = "款号")]
        public string FG_MAT_CODE { get; set; }

        /// <summary>
        /// 款⾊
        /// </summary>
        [ApiMember(Description = "款⾊")]
        public string FG_COLOR { get; set; }

        /// <summary>
        /// 码段
        /// </summary>
        [ApiMember(Description = "码段")]
        public string FG_F2_DISPLAY { get; set; }

        /// <summary>
        /// 料号
        /// </summary>
        [ApiMember(Description = "料号")]
        public string MAT_CODE { get; set; }

        /// <summary>
        /// 料⾊
        /// </summary>
        [ApiMember(Description = "料⾊")]
        public string COLOR { get; set; }

        /// <summary>
        /// 版单号
        /// </summary>
        [ApiMember(Description = "版单号")]
        public string MAT_DEV_CODE { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [ApiMember(Description = "创建时间")]
        public DateTime CREATED_TIME { get; set; }

        /// <summary>
        /// 最后修改时间
        /// </summary>
        [ApiMember(Description = "最后修改时间")]
        public DateTime LAST_MODIFIED_TIME { get; set; }

        /// <summary>
        /// 委托单位名称
        /// </summary>
        [ApiMember(Description = "委托单位名称")]
        public string COMPANY_NAME { get; set; }

        /// <summary>
        /// 委托单位地址
        /// </summary>
        [ApiMember(Description = "委托单位地址")]
        public string COMPANY_ADDRESS { get; set; }

        /// <summary>
        /// 委托单位联系人
        /// </summary>
        [ApiMember(Description = "委托单位联系人")]
        public string CONTACT_PERSON { get; set; }

        /// <summary>
        /// 委托单位联系电话
        /// </summary>
        [ApiMember(Description = "委托单位联系电话")]
        public string CONTACT_PHONE { get; set; }

        /// <summary>
        /// 委托单位邮箱
        /// </summary>
        [ApiMember(Description = "委托单位邮箱")]
        public string CONTACT_EMAIL { get; set; }

        /// <summary>
        /// 委托单位业务邮箱
        /// </summary>
        [ApiMember(Description = "委托单位业务邮箱")]
        public string CONTACT_BUSINESS_EMAIL { get; set; }

        /// <summary>
        /// 申请单位名称
        /// </summary>
        [ApiMember(Description = "申请单位名称")]
        public string APPLY_ORG_NAME { get; set; }

        /// <summary>
        /// 申请单位地址
        /// </summary>
        [ApiMember(Description = "申请单位地址")]
        public string APPLY_ORG_ADDRESS { get; set; }

        /// <summary>
        /// 付款单位名称
        /// </summary>
        [ApiMember(Description = "付款单位名称")]
        public string PAYER_ORG_NAME { get; set; }

        /// <summary>
        /// 付款单位地址
        /// </summary>
        [ApiMember(Description = "付款单位地址")]
        public string PAYER_ORG_ADDRESS { get; set; }

        /// <summary>
        /// 付款联系⼈
        /// </summary>
        [ApiMember(Description = "付款联系⼈")]
        public string PAYER_CONTACT_PERSON { get; set; }

        /// <summary>
        /// 付款联系电话
        /// </summary>
        [ApiMember(Description = "付款联系电话")]
        public string PAYER_CONTACT_PHONE { get; set; }

        /// <summary>
        /// 付款联系邮箱
        /// </summary>
        [ApiMember(Description = "付款联系邮箱")]
        public string PAYER_CONTACT_EMAIL { get; set; }

        /// <summary>
        /// 品牌商标
        /// </summary>
        [ApiMember(Description = "品牌商标")]
        public string BRAND_DISPLAY { get; set; }

        /// <summary>
        /// 样品阶段
        /// </summary>
        [ApiMember(Description = "样品阶段")]
        public string SAMPLE_CYCLE { get; set; }

        /// <summary>
        /// 单量数
        /// </summary>
        [ApiMember(Description = "单量数")]
        public string TOTAL_QTY { get; set; }

        /// <summary>
        /// 年份
        /// </summary>
        [ApiMember(Description = "年份")]
        public string YEAR { get; set; }

        /// <summary>
        /// 季度
        /// </summary>
        [ApiMember(Description = "季度")]
        public string SEASONS { get; set; }

        /// <summary>
        /// 原料成分
        /// </summary>
        [ApiMember(Description = "原料成分")]
        public string KG_COMPONENT { get; set; }

        /// <summary>
        /// 克重
        /// </summary>
        [ApiMember(Description = "克重")]
        public string WEIGHT { get; set; }

        /// <summary>
        /// 测试周期
        /// </summary>
        [ApiMember(Description = "测试周期")]
        public string TESTING_CYCLE { get; set; }

        /// <summary>
        /// 安全技术类别
        /// </summary>
        [ApiMember(Description = "安全技术类别")]
        public string CHECK_LEVEL { get; set; }

        /// <summary>
        /// 样品等级
        /// </summary>
        [ApiMember(Description = "样品等级")]
        public string SAMPLE_GRADE { get; set; }

        /// <summary>
        /// 样品类型
        /// </summary>
        [ApiMember(Description = "样品类型")]
        public string THIRDPARTY_TESTING_TESTPART { get; set; }

        /// <summary>
        /// 检测类型
        /// </summary>
        [ApiMember(Description = "检测类型")]
        public string IS_RECHECK { get; set; }

        /// <summary>
        /// 原报告号
        /// </summary>
        [ApiMember(Description = "原报告号")]
        public string ORIGINAL_WTS_NO { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [ApiMember(Description = "状态")]
        public string STATUS { get; set; }

        /// <summary>
        /// 最终⽤途
        /// </summary>
        [ApiMember(Description = "最终⽤途")]
        public string FOR_USE { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [ApiMember(Description = "备注")]
        public string REMARK { get; set; }

        /// <summary>
        /// 产品标准(多个以逗号拼接)
        /// </summary>
        [ApiMember(Description = "产品标准(多个以逗号拼接)")]
        public string CHECK_STANDARD { get; set; }

        /// <summary>
        /// 订单明细
        /// </summary>
        [ApiMember(Description = "订单明细")]
        public List<SemirOrderDetail> ITEMS { get; set; }
        #endregion
    }

    [Api(Description = "森马订单明细")]
    public class SemirOrderDetail
    {
        /// <summary>
        /// 检测项ID
        /// </summary>
        [ApiMember(Description = "检测项ID")]
        public string RECORD_ID { get; set; }

        /// <summary>
        /// 委托单ID
        /// </summary>
        [ApiMember(Description = "委托单ID")]
        public string H_ID { get; set; }

        /// <summary>
        /// 唯⼀ID(检测项模板ID)
        /// </summary>
        [ApiMember(Description = "唯⼀ID(检测项模板ID)")]
        public string TEMP_ITEM_ID { get; set; }

        /// <summary>
        /// 标准要求
        /// </summary>
        [ApiMember(Description = "标准要求")]
        public string RESULT_REQUIRE { get; set; }

        /// <summary>
        /// 检测项⽬
        /// </summary>
        [ApiMember(Description = "检测项⽬")]
        public string ITEM_NAME { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [ApiMember(Description = "")]
        public string S_CHECK_ITEM_CODE { get; set; }

        /// <summary>
        /// 检测项标准
        /// </summary>
        [ApiMember(Description = "检测项标准")]
        public string ITEM_STANDARD { get; set; }

        /// <summary>
        /// 检测项⽬
        /// </summary>
        [ApiMember(Description = "检测项⽬")]
        public string ITEM_DESC { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [ApiMember(Description = "")]
        public string ITEM_SPEC1 { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [ApiMember(Description = "")]
        public string ITEM_SPEC2 { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [ApiMember(Description = "")]
        public string SEQ { get; set; }
    }
}
